org.apache.sling.paxexam.util

## Class SlingPaxOptions

- java.lang.Object
- - org.apache.sling.paxexam.util.SlingPaxOptions

    public class SlingPaxOptions
    extends Object

Pax exam options and utilities to test Sling applications The basic idea is to get a vanilla Sling launchpad instance setup with a minimal amount of boilerplate code. See SlingSetupTest for an example.

### Field Summary

Fields
`static String` `DEFAULT_RUN_MODES`
`static int` `DEFAULT_SLING_START_LEVEL`
`static String` `PROP_HTTP_PORT`
`static String` `PROP_TELNET_PORT`

### Constructor Summary

Constructors
Constructor and Description
`SlingPaxOptions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.ops4j.pax.exam.options.CompositeOption` `defaultLaunchpadOptions(String launchpadVersion)` Set default launchpad options
`static org.ops4j.pax.exam.options.CompositeOption` `felixRemoteShellBundles()` Felix remote shell bundles
`static Collection<String>` `getTestRunModes()` Get run modes to use for our tests, as set by the sling.run.modes property
`static void` `setIgnoredBundles(String... symbolicNamePrefix)` When reading bundle lists, ignore bundles which have symbolic names starting with one of the supplied prefixes
`static org.ops4j.pax.exam.options.CompositeOption` `slingBootstrapBundles()`
`static org.ops4j.pax.exam.options.CompositeOption` `slingBundleList(String groupId, String artifactId, String version, String type, String classifier)`
`static org.ops4j.pax.exam.options.CompositeOption` `slingLaunchpadBundles(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_SLING_START_LEVEL

    public static final int DEFAULT_SLING_START_LEVEL

See Also:
  Constant Field Values

#### PROP_TELNET_PORT

    public static final String PROP_TELNET_PORT

See Also:
  Constant Field Values

#### PROP_HTTP_PORT

    public static final String PROP_HTTP_PORT

See Also:
  Constant Field Values

#### DEFAULT_RUN_MODES

    public static final String DEFAULT_RUN_MODES

See Also:
  Constant Field Values

### Constructor Detail

#### SlingPaxOptions

    public SlingPaxOptions()

### Method Detail

#### setIgnoredBundles

    public static void setIgnoredBundles(String... symbolicNamePrefix)

When reading bundle lists, ignore bundles which have symbolic names starting with one of the supplied prefixes

Parameters:
  `symbolicNamePrefix` - Symbolic name prefixes

#### getTestRunModes

    public static Collection<String> getTestRunModes()

Get run modes to use for our tests, as set by the sling.run.modes property

Returns:
  Run modes

#### defaultLaunchpadOptions

    public static org.ops4j.pax.exam.options.CompositeOption defaultLaunchpadOptions(String launchpadVersion)

Set default launchpad options

Parameters:
  `launchpadVersion` - null means use the latest
Returns:
  Composite option

#### slingBundleList

    public static org.ops4j.pax.exam.options.CompositeOption slingBundleList(String groupId,
                                                                             String artifactId,
                                                                             String version,
                                                                             String type,
                                                                             String classifier)

#### slingBootstrapBundles

    public static org.ops4j.pax.exam.options.CompositeOption slingBootstrapBundles()

#### slingLaunchpadBundles

    public static org.ops4j.pax.exam.options.CompositeOption slingLaunchpadBundles(String version)

#### felixRemoteShellBundles

    public static org.ops4j.pax.exam.options.CompositeOption felixRemoteShellBundles()

Felix remote shell bundles

Returns:
  Composite option